Bug 109980 - [i915 CI][HSW] spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store - fail
Summary: [i915 CI][HSW] spec@arb_fragment_shader_interlock@arb_fragment_shader_interlo...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 18.2
Hardware: Other All
: medium normal
Assignee: Plamena Manolova
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-12 14:30 UTC by Martin Peres
Modified: 2019-04-17 14:30 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-12 14:30:41 UTC
After updating mesa from 18.0.5 to 18.2.2, the test "spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store" started failing consistently on our pig-hsw-4770r machine (https://intel-gfx-ci.01.org/hardware.html#pig-hsw-4770r).

The piglit version is a little old though: fdc5a4ca11124ab8413c7988896eec4c97336694

Here are the logs:

observed 0 0     47 35 95 255
expected 0 0     47 35 63 255

Here are the full logs: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5733/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
Comment 1 CI Bug Log 2019-03-12 14:31:57 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* pig-hsw-4770r: spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store - fail
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3936/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5731/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12436/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5732/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5733/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5734/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3962/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5735/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12438/pig-hsw-4770r/spec@arb_fragment_shader_interlock@arb_fragment_shader_interlock-image-load-store.html
Comment 2 Mark Janes 2019-03-12 15:57:30 UTC
This began failing with:

939312702e35928770e5f90f7b053ece3d10e7ae
Author:     Plamena Manolova <plamena.manolova@intel.com>
i965: Add ARB_fragment_shader_interlock support.
Adds suppport for ARB_fragment_shader_interlock. We achieve
the interlock and fragment ordering by issuing a memory fence
via sendc.

Apparently, the feature is not supported on older hardware.
Comment 3 Mark Janes 2019-03-12 16:00:49 UTC
Pam, please disable this extension on the platforms that don't support the feature.
Comment 4 Plamena Manolova 2019-03-12 17:07:26 UTC
Hi Mark, I'll get right on it. Thank you for spotting this!
Comment 5 Emil Velikov 2019-04-05 12:28:34 UTC
Hi all, afaict this issue has been resolved with the following commit.
Feel free to reopen if that's not the case.

commit 19ab08200179e71af42ce6e1b91f502e50f915b3
Author: Plamena Manolova <plamena.manolova@intel.com>
Date:   Tue Mar 12 21:25:36 2019 +0200

    i965: Disable ARB_fragment_shader_interlock for platforms prior to GEN9
Comment 6 Martin Peres 2019-04-17 14:30:45 UTC
(In reply to Emil Velikov from comment #5)
> Hi all, afaict this issue has been resolved with the following commit.
> Feel free to reopen if that's not the case.
> 
> commit 19ab08200179e71af42ce6e1b91f502e50f915b3
> Author: Plamena Manolova <plamena.manolova@intel.com>
> Date:   Tue Mar 12 21:25:36 2019 +0200
> 
>     i965: Disable ARB_fragment_shader_interlock for platforms prior to GEN9

Thanks, any plan on getting that patch in mesa stable releases?

We'll need to update our CI system's mesa version.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.